/* Generated by dbus-binding-tool; do not edit! */

#include <glib.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

#ifndef _DBUS_GLIB_ASYNC_DATA_FREE
#define _DBUS_GLIB_ASYNC_DATA_FREE
static
#ifdef G_HAVE_INLINE
inline
#endif
void
_dbus_glib_async_data_free (gpointer stuff)
{
	g_slice_free (DBusGAsyncData, stuff);
}
#endif

#ifndef DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_PIM_Fields
#define DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_PIM_Fields

static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_PIM_Fields_add_field (DBusGProxy *proxy, const char * IN_name, const char * IN_type, GError **error)

{
  return dbus_g_proxy_call (proxy, "AddField", error, G_TYPE_STRING, IN_name, G_TYPE_STRING, IN_type, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_PIM_Fields_add_field_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_PIM_Fields_add_field_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_PIM_Fields_add_field_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_PIM_Fields_add_field_async (DBusGProxy *proxy, const char * IN_name, const char * IN_type, org_freesmartphone_PIM_Fields_add_field_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "AddField", org_freesmartphone_PIM_Fields_add_field_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_name, G_TYPE_STRING, IN_type, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_PIM_Fields_delete_field (DBusGProxy *proxy, const char * IN_name, GError **error)

{
  return dbus_g_proxy_call (proxy, "DeleteField", error, G_TYPE_STRING, IN_name, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_PIM_Fields_delete_field_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_PIM_Fields_delete_field_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_PIM_Fields_delete_field_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_PIM_Fields_delete_field_async (DBusGProxy *proxy, const char * IN_name, org_freesmartphone_PIM_Fields_delete_field_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "DeleteField", org_freesmartphone_PIM_Fields_delete_field_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_name, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_PIM_Fields_get_type (DBusGProxy *proxy, const char * IN_name, char ** OUT_type, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetType", error, G_TYPE_STRING, IN_name, G_TYPE_INVALID, G_TYPE_STRING, OUT_type, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_PIM_Fields_get_type_reply) (DBusGProxy *proxy, char * OUT_type, GError *error, gpointer userdata);

static void
org_freesmartphone_PIM_Fields_get_type_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  char * OUT_type;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_STRING, &OUT_type, G_TYPE_INVALID);
  (*(org_freesmartphone_PIM_Fields_get_type_reply)data->cb) (proxy, OUT_type, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_PIM_Fields_get_type_async (DBusGProxy *proxy, const char * IN_name, org_freesmartphone_PIM_Fields_get_type_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetType", org_freesmartphone_PIM_Fields_get_type_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_name, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_PIM_Fields_list_fields (DBusGProxy *proxy, GHashTable** OUT_fields, GError **error)

{
  return dbus_g_proxy_call (proxy, "ListFields", error, G_TYPE_INVALID, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_STRING), OUT_fields, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_PIM_Fields_list_fields_reply) (DBusGProxy *proxy, GHashTable *OUT_fields, GError *error, gpointer userdata);

static void
org_freesmartphone_PIM_Fields_list_fields_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  GHashTable* OUT_fields;
  dbus_g_proxy_end_call (proxy, call, &error, dbus_g_type_get_map ("GHashTable", G_TYPE_STRING, G_TYPE_STRING), &OUT_fields, G_TYPE_INVALID);
  (*(org_freesmartphone_PIM_Fields_list_fields_reply)data->cb) (proxy, OUT_fields, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_PIM_Fields_list_fields_async (DBusGProxy *proxy, org_freesmartphone_PIM_Fields_list_fields_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "ListFields", org_freesmartphone_PIM_Fields_list_fields_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_PIM_Fields_list_fields_with_type (DBusGProxy *proxy, const char * IN_type, char *** OUT_fields, GError **error)

{
  return dbus_g_proxy_call (proxy, "ListFieldsWithType", error, G_TYPE_STRING, IN_type, G_TYPE_INVALID, G_TYPE_STRV, OUT_fields, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_PIM_Fields_list_fields_with_type_reply) (DBusGProxy *proxy, char * *OUT_fields, GError *error, gpointer userdata);

static void
org_freesmartphone_PIM_Fields_list_fields_with_type_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  char ** OUT_fields;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_STRV, &OUT_fields, G_TYPE_INVALID);
  (*(org_freesmartphone_PIM_Fields_list_fields_with_type_reply)data->cb) (proxy, OUT_fields, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_PIM_Fields_list_fields_with_type_async (DBusGProxy *proxy, const char * IN_type, org_freesmartphone_PIM_Fields_list_fields_with_type_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "ListFieldsWithType", org_freesmartphone_PIM_Fields_list_fields_with_type_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_type, G_TYPE_INVALID);
}
#endif /* defined DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_PIM_Fields */

G_END_DECLS
